﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Buddy.Common;
using Buddy.Common.Plugins;
using Buddy.Common.Xml;
using Buddy.CommonBot;
using Buddy.Swtor;
using Buddy.Swtor.Enums;
using Buddy.Swtor.Objects;
using Buddy.XmlEngine;
using Buddy.Swtor.Objects.Containers;

namespace EquipTest
{
    public class EquipTest : IPlugin
    {
        #region IPlugin interface
        public string Author
        {
            get { return "BobDole"; }
        }

        public string Description
        {
            get { return "Debug items."; }
        }

        public System.Windows.Window DisplayWindow
        {
            get { return null; }
        }

        public string Name
        {
            get { return "EquipTest"; }
        }

        public void OnDisabled()
        {

        }

        public void OnEnabled()
        {

            foreach (TorItem item in BuddyTor.Me.InventoryEquipment)
            {
                if (item.Name.Contains("Makeb"))
                {
                    Log("Begin dump for " + item.Name);
                    item.DebugDump(false, true, false);
                    Log("End dump for " + item.Name);
                    //Storage box = 18444
                    //Rep item = 8929288
                    //Decoration = 540676
                }

                /*
                string name = item.Name;
                Log("Checking " + name + " -- " + string.Join(",", item.SlotTypes));

                Dictionary<ModStat, float> stats = new Dictionary<ModStat, float>();
                stats = item.GetItemStats(true);
                if (stats != null)
                {
                    foreach (KeyValuePair<ModStat, float> stat in stats)
                    {
                        Log(stat.Key + ": " + stat.Value);
                    }
                }
                Log("Done checking stats");
                 */
            }
        }

        public void OnInitialize()
        {

        }

        public void OnPulse()
        {

        }

        public void OnShutdown()
        {

        }

        public Version Version
        {
            get { return new Version(0, 2); }
        }

        public bool Equals(IPlugin other)
        {
            return other.Name == Name;
        }

        public static void Log(string message)
        {
            Logging.Write("[EquipTest] " + message);
        }
        #endregion
    }
}
